AuditCount (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.handler.audit
Class AuditCount

    java.lang.Object
      edu.harvard.hul.ois.jhove.handler.audit.AuditCount

Direct Known Subclasses:
  AuditState

    public class AuditCount

extends java.lang.Object

Count object for the JHOVE Audit output handler.

Field Summary
`protected int` | `_notProcessed` Number of files not processed.
`protected int` | `_valid` Number of valid files.
`protected int` | `_wellFormed` Number of well-formed files.

Constructor Summary
`AuditCount()` Instantiate a `AuditCount` object.

Method Summary
`int` | `getNotProcessed()` Returns the total number of files not processed.
`int` | `getTotal()` Returns the total number of valid or well-formed files.
`int` | `getValid()` Returns the total number of valid files.
`int` | `getWellFormed()` Returns the total number of well-formed files.
`void` | `setNotProcessed(int notProcessed)` Sets the count of files that are not processed.
`void` | `setValid(int valid)` Sets the count of valid files.
`void` | `setWellFormed(int wellFormed)` Sets the count of well-formed files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _notProcessed

    protected int _notProcessed

  Number of files not processed.

### _valid

    protected int _valid

  Number of valid files.

### _wellFormed

    protected int _wellFormed

  Number of well-formed files.

Constructor Detail

### AuditCount

    public AuditCount()

  Instantiate a `AuditCount` object.

Method Detail

### getNotProcessed

    public int getNotProcessed()

  Returns the total number of files not processed.

### getTotal

    public int getTotal()

  Returns the total number of valid or well-formed files.

### getValid

    public int getValid()

  Returns the total number of valid files.

### getWellFormed

    public int getWellFormed()

  Returns the total number of well-formed files.

### setNotProcessed

    public void setNotProcessed(int notProcessed)

  Sets the count of files that are not processed.

### setValid

    public void setValid(int valid)

  Sets the count of valid files.

### setWellFormed

    public void setWellFormed(int wellFormed)

  Sets the count of well-formed files.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD